singleton Material(cls)
{
	mapTo = "cls";
	diffuseMap[2] = "vehicles/Lexus IS350/cls_c.dds";
    diffuseMap[1] = "vehicles/Lexus IS350/cls_d.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    doubleSided = "1";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
}; 

singleton Material(Gar_alu)
{
    mapTo = "Gar_alu";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 0";
    diffuseColor[1] = "0.5 0.5 0.55 0.1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(Gar_chr)
{
   mapTo = "Gar_chr";
    diffuseMap[1] = "vehicles/common/null2.dds";
    specularMap[1] = "vehicles/common/null.dds";
    normalMap[1] = "vehicles/common/null_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[1] = "vehicles/common/null_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "0.47 0.47 0.47 1";
    diffuseColor[1] = "0.47 0.47 0.47 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(cls_glass)
{
   mapTo = "cls_glass";
   diffuseColor[0] = "0.4 0.4 0.4 1";
   specularPower[0] = "300";
   translucentBlendOp = "Add";
   pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   doubleSided = "1";
   castShadows = "0";
   translucent = "1";
   translucentZWrite = "1";
   alphaTest = "1";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(cls_glass_dmg)
{
    mapTo = "cls_glass_dmg";
    diffuseMap[0] = "vehicles/Lexus IS350/razbitoe-steklo-25.png";
    opacityMap[0] = "vehicles/fullsize/fullsize_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/Lexus IS350/razbitoe-steklo-25.png";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(cls_windshield_dmg)
{
    mapTo = "cls_windshield_dmg";
    diffuseMap[0] = "vehicles/Lexus IS350/razbitoe-steklo-25.png";
    opacityMap[0] = "vehicles/fullsize/fullsize_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/Lexus IS350/razbitoe-steklo-25.png";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(Gar_gum)
{
mapTo = "Gar_gum";
materialTag0 = "Gar_gum"; materialTag1 = "vehicle";
colorMap[0] = "vehicles/Lexus IS350/grey.dds";
pixelSpecular[0] = "1";
doubleSided = "1";
diffuseColor[0] = "0.988235 0.996078 0.988235 0.396";
instanceDiffuse[0] = 0;
dynamicCubemap = false;
};

singleton Material(MCLS_tex)
{
mapTo = "MCLS_tex";
materialTag0 = "MCLS_tex"; materialTag1 = "vehicle";
colorMap[0] = "vehicles/Lexus IS350/MCLS_tex.dds";
pixelSpecular[0] = "1";
doubleSided = "1";
diffuseColor[0] = "0.988235 0.996078 0.988235 0.396";
instanceDiffuse[0] = 0;
dynamicCubemap = false;
};

singleton Material(cls_wheel)
{
mapTo = "cls_wheel";
materialTag0 = "cls_wheel"; materialTag1 = "vehicle";
colorMap[0] = "vehicles/Lexus IS350/silver.dds";
pixelSpecular[0] = "1";
doubleSided = "1";
diffuseColor[0] = "0.988235 0.996078 0.988235 0.396";
instanceDiffuse[0] = 0;
dynamicCubemap = true;
};

singleton Material(cls_white_on)
{
   mapTo = "cls_white_on";
   diffuseMap[0] = "vehicles/Lexus IS350/cls_white.dds";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "1";
   translucentZWrite = "0";
   glow[0] = true;
   emissive[0] = "1";
};

singleton Material(cls_signal_on)
{
   mapTo = "cls_signal_on";
   diffuseMap[0] = "vehicles/Lexus IS350/cls_signal.dds";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "1";
   translucentZWrite = "0";
   glow[0] = true;
   emissive[0] = "1";
};

singleton Material(cls_red)
{
mapTo = "cls_red";
materialTag0 = "cls_red"; materialTag1 = "vehicle";
colorMap[0] = "vehicles/Lexus IS350/cls_red.dds";
pixelSpecular[0] = "1";
doubleSided = "1";
diffuseColor[0] = "0.988235 0.996078 0.988235 0.396";
instanceDiffuse[0] = 0;
dynamicCubemap = true;
};

singleton Material(cls_red_on)
{
   mapTo = "cls_red_on";
   diffuseMap[0] = "vehicles/Lexus IS350/cls_red.dds";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "1";
   translucentZWrite = "0";
   glow[0] = true;
   emissive[0] = "1";
};

singleton Material(cls_dash_on)
{
   mapTo = "cls_dash_on";
   diffuseMap[0] = "vehicles/Lexus IS350/MCLS_tex.dds";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "1";
   translucentZWrite = "0";
   glow[0] = true;
   emissive[0] = "1";
};

singleton Material(cls_carbon)
{
mapTo = "cls_carbon";
materialTag0 = "cls_carbon"; materialTag1 = "vehicle";
colorMap[0] = "vehicles/Lexus IS350/cls_carbon.jpg";
pixelSpecular[0] = "1";
doubleSided = "1";
diffuseColor[0] = "0.988235 0.996078 0.988235 0.396";
instanceDiffuse[0] = 0;
dynamicCubemap = true;
};

singleton Material(cls_chassis)
{
mapTo = "cls_chassis";
materialTag0 = "cls_chassis"; materialTag1 = "vehicle";
colorMap[0] = "vehicles/Lexus IS350/cls_chassis.dds";
pixelSpecular[0] = "1";
doubleSided = "1";
diffuseColor[0] = "0.988235 0.996078 0.988235 0.396";
instanceDiffuse[0] = 0;
dynamicCubemap = false;
};

singleton Material(cls_chassis2)
{
mapTo = "cls_chassis2";
materialTag0 = "cls_chassis2"; materialTag1 = "vehicle";
colorMap[0] = "vehicles/Lexus IS350/cls_chassis2.dds";
pixelSpecular[0] = "1";
doubleSided = "1";
diffuseColor[0] = "0.988235 0.996078 0.988235 0.396";
instanceDiffuse[0] = 0;
dynamicCubemap = false;
};

singleton Material(carpet)
{
mapTo = "carpet";
materialTag0 = "carpet"; materialTag1 = "vehicle";
colorMap[0] = "vehicles/Lexus IS350/carpet.dds";
pixelSpecular[0] = "1";
doubleSided = "1";
diffuseColor[0] = "0.988235 0.996078 0.988235 0.396";
instanceDiffuse[0] = 0;
dynamicCubemap = false;
};

singleton Material(MSB_tex)
{
mapTo = "MSB_tex";
materialTag0 = "MSB_tex"; materialTag1 = "vehicle";
colorMap[0] = "vehicles/Lexus IS350/MSB_tex.jpg";
pixelSpecular[0] = "1";
doubleSided = "1";
diffuseColor[0] = "0.988235 0.996078 0.988235 0.396";
instanceDiffuse[0] = 0;
dynamicCubemap = false;
};
